QScintilla: QextScintillaLexerPOV Class Reference

- Main Page
- Classes
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# QextScintillaLexerPOV Class Reference

The QextScintillaLexerPOV class encapsulates the Scintilla POV lexer. More...

`#include <qextscintillalexerpov.h>`

Inherits QextScintillaLexer.

List of all members.

## Public Types

- Default = 0
- Comment = 1
- CommentLine = 2
- Number = 3
- Operator = 4
- Identifier = 5
- String = 6
- UnclosedString = 7
- Directive = 8
- BadDirective = 9
- ObjectsCSGAppearance = 10
- TypesModifiersItems = 11
- PredefinedIdentifiers = 12
- PredefinedFunctions = 13
- KeywordSet6 = 14
- KeywordSet7 = 15
- KeywordSet8 = 16
- enum {
  Default = 0, Comment = 1, CommentLine = 2,
  Number = 3, Operator = 4, Identifier = 5,
  String = 6, UnclosedString = 7, Directive = 8,
  BadDirective = 9, ObjectsCSGAppearance = 10, TypesModifiersItems = 11,
  PredefinedIdentifiers = 12, PredefinedFunctions = 13, KeywordSet6 = 14,
  KeywordSet7 = 15, KeywordSet8 = 16
  }

## Public Slots

- virtual void setFoldComments (bool fold)
- virtual void setFoldCompact (bool fold)
- virtual void setFoldDirectives (bool fold)

## Public Member Functions

- QextScintillaLexerPOV (QObject *parent=0, const char *name=0)
- virtual ~QextScintillaLexerPOV ()
- const char * language () const
- const char * lexer () const
- int braceStyle () const
- const char * wordCharacters () const
- QColor color (int style) const
- bool eolFill (int style) const
- QFont font (int style) const
- const char * keywords (int set) const
- QString description (int style) const
- QColor paper (int style) const
- void refreshProperties ()
- bool foldComments () const
- bool foldCompact () const
- bool foldDirectives () const

## Protected Member Functions

- bool readProperties (QSettings &qs, const QString &prefix)
- bool writeProperties (QSettings &qs, const QString &prefix) const

## Detailed Description

The QextScintillaLexerPOV class encapsulates the Scintilla POV lexer.

## Member Enumeration Documentation

anonymous enum

This enum defines the meanings of the different styles used by the POV lexer.

Enumerator:

  Default | The default.
  Comment | A comment.
  CommentLine | A comment line.
  Number | A number.
  Operator | An operator.
  Identifier | An identifier.
  String | A string.
  UnclosedString | The end of a line where a string is not closed.
  Directive | A directive.
  BadDirective | A bad directive.
  ObjectsCSGAppearance | Objects, CSG and appearance.
  TypesModifiersItems | Types, modifiers and items.
  PredefinedIdentifiers | Predefined identifiers.
  PredefinedFunctions | Predefined identifiers.
  KeywordSet6 | A keyword defined in keyword set number 6. The class must be sub-classed and re-implement keywords() to make use of this style.
  KeywordSet7 | A keyword defined in keyword set number 7. The class must be sub-classed and re-implement keywords() to make use of this style.
  KeywordSet8 | A keyword defined in keyword set number 8. The class must be sub-classed and re-implement keywords() to make use of this style.

## Constructor & Destructor Documentation

QextScintillaLexerPOV::QextScintillaLexerPOV | ( | QObject * | parent = `0`,
|  | const char * | name = `0` |
| ) |  |  |

Construct a QextScintillaLexerPOV with parent parent and name name. parent is typically the QextScintilla instance.

virtual QextScintillaLexerPOV::~QextScintillaLexerPOV | ( |  | ) | `[virtual]`

Destroys the QextScintillaLexerPOV instance.

## Member Function Documentation

const char* QextScintillaLexerPOV::language | ( |  | ) | const`[virtual]`

Returns the name of the language.

Implements QextScintillaLexer.

const char* QextScintillaLexerPOV::lexer | ( |  | ) | const`[virtual]`

Returns the name of the lexer. Some lexers support a number of languages.

Implements QextScintillaLexer.

QColor QextScintillaLexerPOV::color | ( | int | style | ) | const`[virtual]`

Returns the foreground colour of the text for style number style.

See also:
  paper()

Reimplemented from QextScintillaLexer.

bool QextScintillaLexerPOV::eolFill | ( | int | style | ) | const`[virtual]`

Returns the end-of-line fill for style number style.

Reimplemented from QextScintillaLexer.

QFont QextScintillaLexerPOV::font | ( | int | style | ) | const`[virtual]`

Returns the font for style number style.

Reimplemented from QextScintillaLexer.

const char* QextScintillaLexerPOV::keywords | ( | int | set | ) | const`[virtual]`

Returns the set of keywords for the keyword set set recognised by the lexer as a space separated string.

Reimplemented from QextScintillaLexer.

QString QextScintillaLexerPOV::description | ( | int | style | ) | const`[virtual]`

Returns the descriptive name for style number style. If the style is invalid for this language then QString::null is returned. This is intended to be used in user preference dialogs.

Implements QextScintillaLexer.

QColor QextScintillaLexerPOV::paper | ( | int | style | ) | const`[virtual]`

Returns the background colour of the text for style number style.

See also:
  color()

Reimplemented from QextScintillaLexer.

void QextScintillaLexerPOV::refreshProperties | ( |  | ) | `[virtual]`

Causes all properties to be refreshed by emitting the propertyChanged() signal as required.

Reimplemented from QextScintillaLexer.

bool QextScintillaLexerPOV::foldComments | ( |  | ) | const

Returns TRUE if multi-line comment blocks can be folded.

See also:
  setFoldComments()

bool QextScintillaLexerPOV::foldCompact | ( |  | ) | const

Returns TRUE if trailing blank lines are included in a fold block.

See also:
  setFoldCompact()

bool QextScintillaLexerPOV::foldDirectives | ( |  | ) | const

Returns TRUE if directives can be folded.

See also:
  setFoldDirectives()

virtual void QextScintillaLexerPOV::setFoldComments | ( | bool | fold | ) | `[virtual, slot]`

If fold is TRUE then multi-line comment blocks can be folded. The default is FALSE.

See also:
  foldComments()

virtual void QextScintillaLexerPOV::setFoldCompact | ( | bool | fold | ) | `[virtual, slot]`

If fold is TRUE then trailing blank lines are included in a fold block. The default is TRUE.

See also:
  foldCompact()

virtual void QextScintillaLexerPOV::setFoldDirectives | ( | bool | fold | ) | `[virtual, slot]`

If fold is TRUE then directives can be folded. The default is FALSE.

See also:
  foldDirectives()

bool QextScintillaLexerPOV::readProperties | ( | QSettings & | qs,
|  | const QString & | prefix |
| ) |  |  | `[protected, virtual]`

The lexer's properties are read from the settings qs. prefix (which has a trailing '/') should be used as a prefix to the key of each setting. TRUE is returned if there is no error.

Reimplemented from QextScintillaLexer.

bool QextScintillaLexerPOV::writeProperties | ( | QSettings & | qs,
|  | const QString & | prefix |
| ) |  |  | const`[protected, virtual]`

The lexer's properties are written to the settings qs. prefix (which has a trailing '/') should be used as a prefix to the key of each setting. TRUE is returned if there is no error.

Reimplemented from QextScintillaLexer.